Skip to main content
POST
/
v1
/
onboarding
Complete Onboarding
curl --request POST \
  --url https://api.oviond.com/v1/onboarding \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "fullname": "<string>",
  "company_name": "<string>",
  "website": "<string>",
  "clients_size": "<string>",
  "client": {
    "name": "<string>",
    "website": "<string>",
    "currency": {
      "code": "USD",
      "symbol": "$",
      "iso": "US"
    },
    "timezone": "<string>",
    "manager": "<string>"
  },
  "template_id": "<string>"
}
'
{
  "success": true,
  "data": {
    "account_id": "ov:26abc123def456789",
    "user_id": "qLKxyz...",
    "theme_id": "aB3...",
    "client_id": "cD4...",
    "project_id": "pR5...",
    "onboarded": true
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
fullname
string
required
Minimum string length: 1
company_name
string
required
Minimum string length: 1
website
string
required
Minimum string length: 1
clients_size
string
required
Minimum string length: 1
client
object
required
template_id
string

Response

Already onboarded (idempotent)

success
enum<boolean>
required
Available options:
true
data
object
required